import { ArrayCriterias, CommonCriterias, DefaultValue, InferNullable, NotNull, NotUndefined, Schema } from '../types';
export interface ArraySchema<T = unknown[]> extends Schema<T>, ArrayCriterias<ArraySchema<T>>, CommonCriterias<ArraySchema<T>> {
    never: () => ArraySchema<never>;
    notNullable: () => ArraySchema<NotNull<T>>;
    notUndefinable: () => ArraySchema<NotUndefined<T>>;
    nullable: () => ArraySchema<T | null>;
    of: <V>(schema: Schema<V>) => ArraySchema<InferNullable<T, V[]>>;
    undefinable: () => ArraySchema<T | undefined>;
}
export declare function array<T = unknown>(defaultValue?: DefaultValue<T[]>): ArraySchema<T[]>;
//# sourceMappingURL=array.d.ts.map