import { CommonCriterias, DefaultValue, NotNull, NotUndefined, Options, Schema } from '../types';
export interface BooleanSchema<T = boolean> extends Schema<T>, CommonCriterias<BooleanSchema<T>> {
    never: () => BooleanSchema<never>;
    notNullable: () => BooleanSchema<NotNull<T>>;
    notUndefinable: () => BooleanSchema<NotUndefined<T>>;
    nullable: () => BooleanSchema<T | null>;
    onlyFalse: (options?: Options) => BooleanSchema<false>;
    onlyTrue: (options?: Options) => BooleanSchema<true>;
    undefinable: () => BooleanSchema<T | undefined>;
}
export declare function bool(defaultValue?: DefaultValue<boolean>): BooleanSchema;
//# sourceMappingURL=bool.d.ts.map