import { CommonCriterias, CriteriaValidator, DefaultValue, NotNull, NotUndefined, Schema } from '../types';
export interface CustomSchema<T> extends Schema<T>, CommonCriterias<CustomSchema<T>> {
    never: () => CustomSchema<never>;
    notNullable: () => CustomSchema<NotNull<T>>;
    notUndefinable: () => CustomSchema<NotUndefined<T>>;
    nullable: () => CustomSchema<T | null>;
    undefinable: () => CustomSchema<T | undefined>;
}
export declare function custom<T>(validator: CriteriaValidator<T>, defaultValue: DefaultValue<T>): CustomSchema<T>;
//# sourceMappingURL=custom.d.ts.map