import { AnyFunction, CommonCriterias, DefaultValueInitializer, NotNull, NotUndefined, Schema } from '../types';
export interface FunctionSchema<T = AnyFunction> extends Schema<T>, CommonCriterias<FunctionSchema<T>> {
    never: () => FunctionSchema<never>;
    notNullable: () => FunctionSchema<NotNull<T>>;
    notUndefinable: () => FunctionSchema<NotUndefined<T>>;
    nullable: () => FunctionSchema<T | null>;
    undefinable: () => FunctionSchema<T | undefined>;
}
export declare function func<T extends AnyFunction = AnyFunction>(defaultValue?: DefaultValueInitializer<T>): FunctionSchema<T>;
//# sourceMappingURL=func.d.ts.map