import { CommonCriterias, Constructor, InferNullable, NotNull, NotUndefined, Schema } from '../types';
export interface InstanceSchema<T> extends Schema<T>, CommonCriterias<InstanceSchema<T>> {
    never: () => InstanceSchema<never>;
    notNullable: () => InstanceSchema<NotNull<T>>;
    notUndefinable: () => InstanceSchema<NotUndefined<T>>;
    nullable: () => InstanceSchema<T | null>;
    of: <C>(ref: Constructor<C>, loose?: boolean) => InstanceSchema<InferNullable<T, C>>;
    undefinable: () => InstanceSchema<T | undefined>;
}
export declare function instance(): InstanceSchema<Object | null>;
//# sourceMappingURL=instance.d.ts.map