import { DefaultValue, NotNull, NotUndefined, Schema } from '../types';
export interface LazySchema<T = boolean> extends Schema<T> {
    never: () => LazySchema<never>;
    notNullable: () => LazySchema<NotNull<T>>;
    notUndefinable: () => LazySchema<NotUndefined<T>>;
    nullable: () => LazySchema<T | null>;
    undefinable: () => LazySchema<T | undefined>;
}
export declare function lazy<T>(factory: (value: unknown) => Schema<T>, defaultValue: DefaultValue<T | null | undefined>): LazySchema<T>;
//# sourceMappingURL=lazy.d.ts.map