import { CommonCriterias, DefaultValue, InferNullable, NotNull, NotUndefined, NumberCriterias, Options, Schema } from '../types';
export interface NumberSchema<T = number> extends Schema<T>, NumberCriterias<NumberSchema<T>>, CommonCriterias<NumberSchema<T>> {
    never: () => NumberSchema<never>;
    notNullable: () => NumberSchema<NotNull<T>>;
    notUndefinable: () => NumberSchema<NotUndefined<T>>;
    nullable: () => NumberSchema<T | null>;
    oneOf: <I extends number = number>(list: I[], options?: Options) => NumberSchema<InferNullable<T, I>>;
    undefinable: () => NumberSchema<T | undefined>;
}
export declare function number<T extends number>(defaultValue?: DefaultValue<number>): NumberSchema<T>;
//# sourceMappingURL=number.d.ts.map