import { Blueprint, CommonCriterias, NotNull, NotUndefined, Schema, ShapeCriterias } from '../types';
export interface ShapeSchema<T> extends Schema<Required<T>>, ShapeCriterias<ShapeSchema<T>>, CommonCriterias<ShapeSchema<T>> {
    never: () => ShapeSchema<never>;
    notNullable: () => ShapeSchema<NotNull<T>>;
    notUndefinable: () => ShapeSchema<NotUndefined<T>>;
    nullable: () => ShapeSchema<T | null>;
    /** @internal */
    of: <S extends object>(schema: Blueprint<S>) => ShapeSchema<S>;
    undefinable: () => ShapeSchema<T | undefined>;
}
export declare function shape<T extends object>(blueprint: Blueprint<T>): ShapeSchema<T>;
//# sourceMappingURL=shape.d.ts.map