import { CommonCriterias, DefaultValue, InferNullable, NotNull, NotUndefined, Options, Schema, StringCriterias } from '../types';
export interface StringSchema<T = string> extends Schema<T>, StringCriterias<StringSchema<T>>, CommonCriterias<StringSchema<T>> {
    never: () => StringSchema<never>;
    notNullable: () => StringSchema<NotNull<T>>;
    notUndefinable: () => StringSchema<NotUndefined<T>>;
    nullable: () => StringSchema<T | null>;
    oneOf: <I extends string = string>(list: I[], options?: Options) => StringSchema<InferNullable<T, I>>;
    undefinable: () => StringSchema<T | undefined>;
}
export declare function string<T extends string = string>(defaultValue?: DefaultValue<string>): StringSchema<T>;
//# sourceMappingURL=string.d.ts.map