import { InferTupleItems } from '../criteria/tuples';
import { CommonCriterias, NotNull, NotUndefined, Schema } from '../types';
export interface TupleSchema<T> extends Schema<Required<T>>, CommonCriterias<TupleSchema<T>> {
    never: () => TupleSchema<never>;
    notNullable: () => TupleSchema<NotNull<T>>;
    notUndefinable: () => TupleSchema<NotUndefined<T>>;
    nullable: () => TupleSchema<T | null>;
    /** @internal */
    of: <I extends unknown[]>(schemas: InferTupleItems<I>) => TupleSchema<I>;
    undefinable: () => TupleSchema<T | undefined>;
}
export declare function tuple<T extends unknown[] = unknown[]>(schemas: InferTupleItems<T>): TupleSchema<T>;
//# sourceMappingURL=tuple.d.ts.map