import { AnySchema, CommonCriterias, DefaultValue, NotNull, NotUndefined, Schema } from '../types';
export interface UnionSchema<T> extends Schema<T>, CommonCriterias<UnionSchema<T>> {
    never: () => UnionSchema<never>;
    notNullable: () => UnionSchema<NotNull<T>>;
    notUndefinable: () => UnionSchema<NotUndefined<T>>;
    nullable: () => UnionSchema<T | null>;
    of: (schemas: AnySchema[]) => UnionSchema<T>;
    undefinable: () => UnionSchema<T | undefined>;
}
export declare function union<T = unknown>(defaultValue: DefaultValue<T>): UnionSchema<T>;
//# sourceMappingURL=union.d.ts.map